{
  "type" : "record",
  "name" : "Position",
  "namespace" : "org.ga4gh.models",
  "doc" : "A `Position` is an unoriented base in some `Reference`. A `Position` is\nrepresented by a `Reference` name, and a base number on that `Reference`\n(0-based).",
  "fields" : [ {
    "name" : "referenceName",
    "type" : "string",
    "doc" : "The name of the `Reference` on which the `Position` is located."
  }, {
    "name" : "position",
    "type" : "long",
    "doc" : "The 0-based offset from the start of the forward strand for that `Reference`.\n  Genomic positions are non-negative integers less than `Reference` length."
  }, {
    "name" : "strand",
    "type" : {
      "type" : "enum",
      "name" : "Strand",
      "doc" : "Indicates the DNA strand associate for some data item.\n* `NEG_STRAND`: The negative (-) strand.\n* `POS_STRAND`:  The postive (+) strand.",
      "symbols" : [ "NEG_STRAND", "POS_STRAND" ]
    },
    "doc" : "Strand the position is associated with."
  } ]
}
